Debian Bug report logs - #625875
gnupod-tools: use Digest::SHA instead of Digest::SHA1 and drop libdigest-sha1-perl dependencies

version graph

Package: src:gnupod-tools; Maintainer for src:gnupod-tools is Raphael Bossek <bossekr@debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 6 May 2011 14:09:02 UTC

Severity: important

Tags: patch

Found in version gnupod-tools/0.99.8-2

Fixed in version gnupod-tools/0.99.8-2.1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#625875; Package src:gnupod-tools. (Fri, 06 May 2011 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Raphael Bossek <bossekr@debian.org>. (Fri, 06 May 2011 14:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnupod-tools: use Digest::SHA instead of Digest::SHA1 and drop libdigest-sha1-perl dependencies
Date: Fri, 06 May 2011 16:07:16 +0200
Source: gnupod-tools
Version: 0.99.8-2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Digest::SHA1 is currently used src/ext/Hash58.pm and checked in the
configure.

It would be great if you could change use of Digest::SHA1 to
Digest::SHA.

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#625875; Package src:gnupod-tools. (Tue, 16 Aug 2011 18:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. (Tue, 16 Aug 2011 18:54:10 GMT) Full text and rfc822 format available.

Message #10 received at 625875@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:31 GMT) Full text and rfc822 format available.

Added indication that bug 625875 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:15:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#625875; Package src:gnupod-tools. (Thu, 18 Aug 2011 21:33:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. (Thu, 18 Aug 2011 21:33:22 GMT) Full text and rfc822 format available.

Message #19 received at 625875@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#625875; Package src:gnupod-tools. (Wed, 31 Aug 2011 12:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. (Wed, 31 Aug 2011 12:51:12 GMT) Full text and rfc822 format available.

Message #24 received at 625875@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625875@bugs.debian.org
Subject: gnupod-tools: diff for NMU version 0.99.8-2.1
Date: Wed, 31 Aug 2011 14:46:10 +0200
[Message part 1 (text/plain, inline)]
tags 625875 + patch
tags 625875 + pending
thanks

Dear maintainer,

I've prepared an NMU for gnupod-tools (versioned as 0.99.8-2.1) and
uploaded it to DELAYED/15. Please feel free to tell me if I
should delay it longer.

Regards.
Salvatore
[gnupod-tools-0.99.8-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Wed, 31 Aug 2011 12:51:19 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Wed, 31 Aug 2011 12:51:26 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Thu, 15 Sep 2011 14:00:32 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Thu, 15 Sep 2011 14:00:33 GMT) Full text and rfc822 format available.

Message #33 received at 625875-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625875-close@bugs.debian.org
Subject: Bug#625875: fixed in gnupod-tools 0.99.8-2.1
Date: Thu, 15 Sep 2011 13:47:13 +0000
Source: gnupod-tools
Source-Version: 0.99.8-2.1

We believe that the bug you reported is fixed in the latest version of
gnupod-tools, which is due to be installed in the Debian FTP archive:

gnupod-tools_0.99.8-2.1.diff.gz
  to main/g/gnupod-tools/gnupod-tools_0.99.8-2.1.diff.gz
gnupod-tools_0.99.8-2.1.dsc
  to main/g/gnupod-tools/gnupod-tools_0.99.8-2.1.dsc
gnupod-tools_0.99.8-2.1_all.deb
  to main/g/gnupod-tools/gnupod-tools_0.99.8-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated gnupod-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 31 Aug 2011 14:30:40 +0200
Source: gnupod-tools
Binary: gnupod-tools
Architecture: source all
Version: 0.99.8-2.1
Distribution: unstable
Urgency: low
Maintainer: Raphael Bossek <bossekr@debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 gnupod-tools - command-line tools for the iPod family of portable music players
Closes: 625875
Changes: 
 gnupod-tools (0.99.8-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Drop (Build-)Depends(-Indep) on libdigest-sha1-perl and add
     debian/maintenance/03_use-Digest-SHA.sh to substitute the use of
     Digest::SHA1 with Digest::SHA when tar.gz with original sources are
     unpacked (Closes: #625875).
Checksums-Sha1: 
 e10879ee84c2edebdba1dec780ef7dc0a27154c6 1868 gnupod-tools_0.99.8-2.1.dsc
 2207c9a718569ade46f433fda7805e135863c2df 7232 gnupod-tools_0.99.8-2.1.diff.gz
 56898a30fa2cefbc9bea5c46432ad4825027c53f 163322 gnupod-tools_0.99.8-2.1_all.deb
Checksums-Sha256: 
 822430f5297c24e1ab1b997619c4ced48dd4c42f6eaeb7a622134be0317586fd 1868 gnupod-tools_0.99.8-2.1.dsc
 46424f3f64757948db19ab65f40a938d013bb15b9ab9137b1fa6abdc2c0c431c 7232 gnupod-tools_0.99.8-2.1.diff.gz
 ab264b7f2e85577390c2a4d4ee979431bc15bb68d3bb5f7862797eac67102a5e 163322 gnupod-tools_0.99.8-2.1_all.deb
Files: 
 5a91d5c3c27d82363915624dd1d5b4be 1868 sound optional gnupod-tools_0.99.8-2.1.dsc
 46efc6c5f91918a66b8348e976e2571c 7232 sound optional gnupod-tools_0.99.8-2.1.diff.gz
 def135a1222ae6ada527280961303ab1 163322 sound optional gnupod-tools_0.99.8-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOXipdAAoJEHidbwV/2GP+EGgQAJN14XiUH5va99vBEo4WX0f8
4hHh8vWpY6wDUQUmnMlORRQGLFIdXXBWb6xL4D2WvHGiHis+H3D0SIKMMh0KYGeu
S06jTeSJq4Hnq0aKoWRJe8byWl6PLtnIg97hpMLaELNhVLe8bGynL3YP7d3zJ1OX
Vhxap1eOnWeLJMgdzMgQI52h5YtIaSNl1vL8S+F6HUPE5uIRDhE15/WtQgwYrBGQ
KrY2e5IiP3JtXQAerx4ULYmdz+2FYXqsiVm+0snH8Cyvdl60A6YjACLdRZrE4qpA
U7qw/olQyAm+WHa3Hg5bq4EWLx05TSrYKkDIz1mZGZ4kCGJohgjAfDqR4DXSQUlE
1K0twXUpM2XBRTtD9QTNhv0pihKCJ3gFeItRXPQ+/18gT96qa0yguIymjnjK7CyA
dsFSBMIt/TVs3pmhoJ0ocJcpTBPGqBA87oGgMIo1yF1EiEUurxg9LWTh1u11AMFc
9UuUM+eblCo12nhHs4/F+z+73u7TSEoDYYHznyqNOwBvxLEhzuMTKpkhca1X8Vo7
Uk7j/pQTKWpfjfYEDwlVKJRNDa3GASOejNjs7TuN9663xGLF1L9gwRWxh3Wph3h4
WkzYt2MNlpfkPvNT1CUZz+ts8d9qUoO2syCjQmVmUczJgvpVkon4WeMGo2IHwuRx
d1aUGHQ5T3WnqQuG7+gJ
=ts/Q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Oct 2011 07:45:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:20:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.